Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

Ich möchte mich via XCP over CAN zum Steuergerät verbinden und Signale/Parameter auslesen.

Beim Starten der Konfiguration kommt es jedoch zum Timeout beim Verbindungsversuch zum Steuergerät (siehe Screenshot).

Die Init-Priority der Blöcke ist korrekt eingestellt (siehe Screenshot).

dSpace ControlDesk kann sich über den gleichen Port problemfrei zu Steuergerät verbinden. Die physikalische Verbindung

funktioniert daher.

Wie lässt sich das Problem weiter eingrenzen? Die Konfiguration kann ich bei Bedarf bereitstellen.

Lösung

In Deiner Konfiguration fehlt ein CAN Device, dass die eigentlich Übertragung der CAN Nachrichten übernimmt. Also z.b. ein Vector

CAN Device aus der ADTF Device Toolbox. Dessen Aus- und Eingänge musst Du dann mit dem XCPOnCan Filter verbinden. Dann

sollte alles klappen.

History

#1 - 2020-10-05 13:59 - hidden

- Status changed from New to In Progress

- Topic set to DeviceTB::CAN

#4 - 2020-10-05 14:31 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Xaver,

bitte überprüfe zuerst einmal, ob der XCP-Zugang freigeschalten ist.

Gruß

Frank

#5 - 2020-10-05 14:32 - hidden

- Status changed from Customer Feedback Required to In Progress

Kommando zurück, habe nicht zu Ende gelesen =)

Gruß

Frank

#6 - 2020-10-05 14:33 - hidden

Hallo Frank,
ohne Veränderung der Verkabelung kann dSpace ControlDesk problemfrei eine Verbindung zum Steuergerät über XCP aufbauen.

Vg

Xaver

#9 - 2020-10-06 13:51 - hidden

Hi Xaver,

in Deiner Konfiguration fehlt ein CAN Device, dass die eigentlich Übertragung der CAN Nachrichten übernimmt. Also z.b. ein Vector CAN Device aus

der ADTF Device Toolbox. Dessen Aus- und Eingänge musst Du dann mit dem XCPOnCan Filter verbinden. Dann sollte alles klappen.

Grüße,

Martin

#10 - 2020-10-07 07:41 - hidden

- File Vector_Sender_Block_MediaTypes.png added

Hallo Martin,

danke für die Rückmeldung! Wenn ich den Sender-Block mit einem der Ausgänge des XCPonCAN-Device verbinden möchte, sagt ADTF, dass die

Mediatypes nicht passen (siehe Screenshot).

Vg

Xaver

#11 - 2020-10-07 08:24 - hidden

Hi Xaver,

uiui, das XCPOnCan Device ist noch so alt, dass es die getrennten CAN Ausgänge hat. Du musst jetzt noch die "CAN Legacy Filter In" und "CAN

Legacy Filter Out" FIlter dazwischen hängen. Ich hoffe das klappt :-).

Grüße,

Martin

#12 - 2020-10-07 09:28 - hidden

Hallo Martin,

vielen Dank für den Hinweis! Nun kann ich mich mit dem Steuergerät verbinden. :-)

Vg

Xaver

#13 - 2020-10-09 09:21 - hidden

- Status changed from In Progress to To Be Closed

- Resolution set to Solved Issue

Xaver Römersperger wrote:

vielen Dank für den Hinweis! Nun kann ich mich mit dem Steuergerät verbinden. :-)

 Wunderbar!

#14 - 2020-10-09 12:54 - hidden

- Project changed from 15 to Public Support

- Subject changed from XCP over CAN - Timeout beim Verbindungsversuch to XCP over CAN timeout during connect

- Description updated

- Private changed from Yes to No

#15 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
ADTF_Init_Priority.png 7.47 KB 2020-10-02 hidden

ADTF_Konfig_mit_Fehlermeldung_und_Console_View.png 100 KB 2020-10-02 hidden

Vector_Sender_Block_MediaTypes.png 27.3 KB 2020-10-07 hidden
